ChangeSet 1.895, 2003/01/07 16:29:23-08:00, greg@kroah.com

PCI: properly unregister a PCI device if it is removed.

This is only used by pci hotplug and cardbus systems.


diff -Nru a/drivers/pci/hotplug.c b/drivers/pci/hotplug.c
--- a/drivers/pci/hotplug.c	Tue Jan  7 16:44:43 2003
+++ b/drivers/pci/hotplug.c	Tue Jan  7 16:44:43 2003
@@ -105,7 +105,7 @@
 void
 pci_remove_device(struct pci_dev *dev)
 {
-	put_device(&dev->dev);
+	device_unregister(&dev->dev);
 	list_del(&dev->bus_list);
 	list_del(&dev->global_list);
 	pci_free_resources(dev);
